> For the complete documentation index, see [llms.txt](https://developer.browpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.browpay.com/payments/collect-payments/verify-payments.md).

# Verify Payments

{% hint style="info" %}
Our system will send an **http GET request** to your callback URL using your transaction reference as a  value to the query key: *reference.*

You should listen to the ***reference** query in your callbacks*
{% endhint %}

<mark style="color:blue;">`GET`</mark> `{{base_url}}/payment/:reference`

{% hint style="info" %}
Fields with <mark style="color:red;">\*</mark> are required
{% endhint %}

#### Path Parameters

| Name                                        | Type   | Description                |
| ------------------------------------------- | ------ | -------------------------- |
| reference<mark style="color:red;">\*</mark> | String | Your transaction reference |

#### Headers

| Name                                            | Type   | Description                  |
| ----------------------------------------------- | ------ | ---------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {{your\_secret\_key}} |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "message": "Transaction Retrieved Successfully",
    "data": {
        "reference": "edonbetter47u",
        "transaction_id": "edonbeta4u-CUS_BMW4WD2022-001",
        "amount": 9364760,
        "fee": 280943,
        "currency": "NGN",
        "success": true,
        "customer": {
            "name": "Ciroma Alade",
            "email": "ciroma@alade.com",
            "phone": "08101234567"
        },
        "products": [
            {
                "name": "Cooling Refrigerator",
                "amount": 1092000,
                "description": "Twin Door; Green Colour"
            },
            {
                "name": "TV",
                "amount": 8000000,
                "description": "32 inches made in China"
            }
        ],
        "metadata": {
            "location": "Abuja"
        },
        "authorization": {
            "card_type": "visa",
            "first_six": "408412",
            "last_four": "2787",
            "expiry": "09/25"
        }
    }
}
```

{% endtab %}

{% tab title="404: Not Found Reference Error" %}

```json
{
    "success": false,
    "error": "Error in request",
    "message": "reference not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.browpay.com/payments/collect-payments/verify-payments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
